Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.property
Interface PropertyEditorManagerServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  PropertyEditorManagerService

public interface PropertyEditorManagerServiceMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`PropertyEditor` | `findEditor(Class type)` Locate a value editor for a given target type.
`PropertyEditor` | `findEditor(String typeName)` Locate a value editor for a given target type.
`String` | `getEditorSearchPath()` Gets the package names that will be searched for property editors.
`void` | `registerEditor(Class type, Class editorType)` Register an editor class to be used to editor values of a given target class.
`void` | `registerEditor(String typeName, String editorTypeName)` Register an editor class to be used to editor values of a given target class.
`void` | `setBootstrapEditors(String propsString)` Load property editors based on the given properties string.
`void` | `setEditors(Properties props)` Set property editors based on the given properties map.
`void` | `setEditorSearchPath(String path)` Sets the package names that will be searched for property editors.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### findEditor

    public PropertyEditor findEditor(Class type)

  Locate a value editor for a given target type.

  Parameters:
    `type` - The class of the object to be edited.
  Returns:
    An editor for the given type or null if none was found.

### findEditor

    public PropertyEditor findEditor(String typeName)
                              throws ClassNotFoundException

  Locate a value editor for a given target type.

  Parameters:
    `typeName` - The class name of the object to be edited.
  Returns:
    An editor for the given type or null if none was found.
  Throws:
    `ClassNotFoundException`

### registerEditor

    public void registerEditor(Class type,
                               Class editorType)

  Register an editor class to be used to editor values of a given target class.

  Parameters:
    `type` - The class of the objetcs to be edited.
    `editorType` - The class of the editor.

### registerEditor

    public void registerEditor(String typeName,
                               String editorTypeName)
                        throws ClassNotFoundException

  Register an editor class to be used to editor values of a given target class.

  Parameters:
    `typeName` - The classname of the objetcs to be edited.
    `editorTypeName` - The class of the editor.
  Throws:
    `ClassNotFoundException`

### getEditorSearchPath

    public String getEditorSearchPath()

  Gets the package names that will be searched for property editors.

  Returns:
    The package names that will be searched for property editors.

### setEditorSearchPath

    public void setEditorSearchPath(String path)

  Sets the package names that will be searched for property editors.

  Parameters:
    `path` - A comma sperated list of package names.

### setBootstrapEditors

    public void setBootstrapEditors(String propsString)
                             throws ClassNotFoundException,
                                    IOException

  Load property editors based on the given properties string.

  Throws:
    `ClassNotFoundException`
    `IOException`

### setEditors

    public void setEditors(Properties props)
                    throws ClassNotFoundException

  Set property editors based on the given properties map.

  Parameters:
    `props` - Map of type name to editor type name.
  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.